<?xml version="1.0"?>
<doc>
<assembly>
<name>
JobClient.UI.CUI
</name>
</assembly>
<members>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.Run">
 <summary>
 Startet die Messageloop
 </summary>
 last.change: 2.1218;22.10.2015;S.Gueth
</member>
<member name="P:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.ApplicationType">
 <summary>
 Gibt den für diese UI passenden ApplicationTyp zurück
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.IN_Message(JF.PlmJobManager.JobClient.DomainModel.UIMessage_cls)">
 <summary>
 Auszugebende Nachricht
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.IN_TransferStarted(JF.PlmJobManager.JobClient.Communication.TransferInfo_cls)">
 <summary>
 Ein Transfer wurde gestartet
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.IN_TransferProgress(JF.PlmJobManager.JobClient.Communication.TransferInfo_cls)">
 <summary>
 Ein Transfer läuft gerade, hier Status-Update
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.IN_TransferFinished(JF.PlmJobManager.JobClient.Communication.TransferInfo_cls)">
 <summary>
 Ein Transfer wurde beendet
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.IN_ExecutingJobInformationReport(JF.PlmJobManager.JobClient.Core.JobExecuting.ExecutingJobInformation_cls)">
 <summary>
 eingehende Ablaufinformationen zum gerade ausgeführten Job
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.IN_DefaultWindowModeChanged(JF.PlmJobManager.JobServer.ClientCommunication.JobToExecute_cls.WindowMode)">
 <summary>
 Der Window-Mode wurde geändert
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.ChangeJobClientModeTo(JF.PlmJobManager.JobServer.ClientCommunication.HostInfo_cls.ClientMode,System.Boolean)">
 <summary>
 Ändert den aktuellen JobClientMode
 </summary>
 <remarks> 
 #NLUp: 3.1308;21.03.2017;S.Gueth: added setToPreviousMode_p parameter
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.PrintJobInformations">
 <summary>
 ' aktuell laufende Jobs ausgeben
 </summary>
 <remarks></remarks>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.PrintHelpInformations">
 <summary>
 Hilfe anzeigen
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.PrintLocalMessage(System.String)">
 <summary>
 Gibt eine lokale Nachricht in der Farbe Weiß auf der Console aus
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.PrintLocalMessageWithoutPrefix(System.String)">
 <summary>
 Gibt eine lokale Nachricht in der Farbe Weiß auf der Console aus (ohne Prefix)
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.PrintLocalMessageWithoutPrefixNoNewLine(System.String)">
 <summary>
 Gibt eine lokale Nachricht in der Farbe Weiß auf der Console aus (ohne Prefix, keine neue Zeile)
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.PrintLocalMessageWithTimeStamp(System.String)">
 <summary>
 Gibt eine lokale Nachricht in der Farbe Weiß auf der Console aus, die aktuelle Uhrzeit wird angehängt
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.PrintLocalMessageWithColor(System.String,System.ConsoleColor,System.ConsoleColor,System.Boolean,System.Boolean)">
 <summary>
 Gibt eine lokale Nachricht in der angegebenen Farbe auf der Console aus
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.RequestOpenExplorerWithDataFolder">
 <summary>
 private sub to get job directory
 </summary>
 <remarks>New: 2.1210;29.01.2014;S.Gueth</remarks>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.RequestLocalDrivesWithAvailableFreeSpace">
 <summary>
 private sub to local drives with available free space
 </summary>
 <remarks>New: 2.1210;04.02.2015;S.Gueth</remarks>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.RequestCPUUtilization">
 <summary>
 private sub to get CPU utilization from client
 </summary>
 <remarks>New: 2.1217;06.10.2015;S.Gueth</remarks>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.RequestMemoryUsage">
 <summary>
 private sub to get Memory usage from client
 </summary>
 <remarks>New: 2.1217;06.10.2015;S.Gueth</remarks>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.ConsoleUI_cls.RequestUpTimeAndRebootInformations">
 <summary>
 private sub to get reboot informations from client
 </summary>
 <remarks>
 #New: 3.2000;09.02.2024;A.Stein
 </remarks>
</member>
</members>
</doc>
